Get Tweet Thread by ID
Retrieve all tweets in a thread by tweet ID, sorted by latest.
Volver a la referencia de API
/Tweets Endpoints
POST
/twitter/tweets/thread_by_idAutorización de API
AuthorizationBearer token · headerrequeridoToken Bearer global para TwexAPI. Incluido como: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Cuerpo de la solicitud
requeridoapplication/jsontweet_idstringrequeridoID numérico único del tweet
default: "1621544497388875777"
max_itemsintegerMax number of thread tweets to return
min 1 · max 200 · default: 40
fieldsstring[] | nullArray JSON opcional de nombres de campos. Déjalo vacío para omitir fields y devolver todos los campos. Para seleccionar campos, escribe ["tweet_id","text"] sin comillas alrededor del array completo.
default: null
Respuestas
200A list of tweets in the thread, sorted by latest.
any422Error de validación de parámetros
detailValidationError[]Mostrar propiedadesOcultar propiedades
Array of
ValidationErrorlocstring | integer[]requeridoMostrar propiedadesOcultar propiedades
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequeridoMensaje de respuesta (ej. 'success')
typestringrequeridoinputanyctxobject⚡Consola interactivaPOST
⚡Consola interactiva / Probar APIPOSTLive Console
🌐Servidor objetivo:
https://api.twexapi.io● Producción lista
🔍
Lectura de datos públicos (Solo clave TwexAPI, sin cookie de Twitter)
Este endpoint consulta datos públicos de Twitter: ¡no se requiere cuenta ni Cookie de Twitter! Simplemente ingrese su clave TwexAPI (Bearer Token) en "Autorización API" para probar.
🔑Autorización API
📝Cuerpo de la solicitudapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
Solicitud
curl -X POST "https://api.twexapi.io/twitter/tweets/thread_by_id" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tweet_id": "1621544497388875777",
"max_items": 40
}'const response = await fetch("https://api.twexapi.io/twitter/tweets/thread_by_id", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"tweet_id": "1621544497388875777",
"max_items": 40
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/tweets/thread_by_id",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"tweet_id": "1621544497388875777",
"max_items": 40
},
)Respuesta
A list of tweets in the thread, sorted by latest.
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}